package com.jojubanking.boot.module.system.convert.building;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import com.jojubanking.boot.module.system.controller.admin.dept.vo.dept.DeptSimpleRespVO;
import com.jojubanking.boot.module.system.dal.dataobject.dept.DeptDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.building.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.building.BuildingDO;

/**
 * 楼层导视 Convert
 *
 * @author admin
 */
@Mapper
public interface BuildingConvert {

    BuildingConvert INSTANCE = Mappers.getMapper(BuildingConvert.class);

    BuildingDO convert(BuildingCreateReqVO bean);

    BuildingDO convert(BuildingUpdateReqVO bean);

    BuildingRespVO convert(BuildingDO bean);

    List<BuildingRespVO> convertList(List<BuildingDO> list);

    PageResult<BuildingRespVO> convertPage(PageResult<BuildingDO> page);

    List<BuildingExcelVO> convertList02(List<BuildingDO> list);


    List<BuildingSimpleRespVO> convertList03(List<BuildingDO> list);

}
